Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.support.incrementer
Class PostgreSQLSequenceMaxValueIncrementer

    java.lang.Object
      org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer
          org.springframework.jdbc.support.incrementer.AbstractSequenceMaxValueIncrementer
              org.springframework.jdbc.support.incrementer.PostgreSQLSequenceMaxValueIncrementer

All Implemented Interfaces:
  InitializingBean, DataFieldMaxValueIncrementer

    public class PostgreSQLSequenceMaxValueIncrementer

extends AbstractSequenceMaxValueIncrementer

Class to retrieve the next value of a given PostgreSQL Sequence.

Author:
  Tomislav Urban, Juergen Hoeller

Field Summary

Fields inherited from class org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer
`paddingLength`

Constructor Summary
`PostgreSQLSequenceMaxValueIncrementer()` Default constructor.
`PostgreSQLSequenceMaxValueIncrementer(DataSource ds, String incrementerName)` Convenience constructor.

Method Summary
`protected String` | `getSequenceQuery()` Return the database-specific query to use for retrieving a sequence value.

Methods inherited from class org.springframework.jdbc.support.incrementer.AbstractSequenceMaxValueIncrementer
`getNextKey`

Methods inherited from class org.springframework.jdbc.support.incrementer.AbstractDataFieldMaxValueIncrementer
`afterPropertiesSet, getDataSource, getIncrementerName, getPaddingLength, nextIntValue, nextLongValue, nextStringValue, setDataSource, setIncrementerName, setPaddingLength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgreSQLSequenceMaxValueIncrementer

    public PostgreSQLSequenceMaxValueIncrementer()

  Default constructor.

### PostgreSQLSequenceMaxValueIncrementer

    public PostgreSQLSequenceMaxValueIncrementer(DataSource ds,
                                                 String incrementerName)

  Convenience constructor.

  Parameters:
    `ds` - the DataSource to use
    `incrementerName` - the name of the sequence/table to use

Method Detail

### getSequenceQuery

    protected String getSequenceQuery()

  Description copied from class: `AbstractSequenceMaxValueIncrementer`
  Return the database-specific query to use for retrieving a sequence value.

  Specified by:
    `getSequenceQuery` in class `AbstractSequenceMaxValueIncrementer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.